be.fgov.ehealth.hubservices.core.v2

## Class RevokeHCPartyConsentRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.RevokeHCPartyConsentRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:28:03+02:00",
                 comments="JAXB RI v2.2.11")
      public class RevokeHCPartyConsentRequest
      extends Object
      implements Serializable

  Java class for RevokeHCPartyConsentRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RevokeHCPartyConsentRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
               <element name="consent" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ConsentHCPartyType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokeHCPartyConsentRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsentHCPartyType` | `getConsent()` Gets the value of the consent property.
    `RequestType` | `getRequest()` Gets the value of the request property.
    `void` | `setConsent(ConsentHCPartyType value)` Sets the value of the consent property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevokeHCPartyConsentRequest

          public RevokeHCPartyConsentRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getConsent

          public ConsentHCPartyType getConsent()

      Gets the value of the consent property.
      Returns:
        possible object is `ConsentHCPartyType`

    - #### setConsent

          public void setConsent(ConsentHCPartyType value)

      Sets the value of the consent property.
      Parameters:
        `value` - allowed object is `ConsentHCPartyType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.